
=head1 NAME

Win32::GUI::Reference::Events - Common Events

=head1 DESCRIPTION

The events documented on this page are applicable to most windows and controls.

=head1 EVENTS

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Char

B<Char()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click

B<Click()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 DblClick

B<DblClick()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 DblRightClick

B<DblRightClick()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 DropFiles

B<DropFiles(DROP)>

Sent when the window receives dropped files.  To enable a window to
be a target for files dragged from a shell window, you must set the
window's L<-acceptfiles|Win32::GUI::Reference::Options/acceptfiles>
option or call C<< $win->AcceptFiles(1) >> on the window (See
L<AcceptFiles()|Win32::GUI::Reference::Methods/AcceptFiles>). The
DROP parameter is either * a Win32 drop handle (see MSDN) or a
L<Win32::GUI::DropFiles|Win32::GUI::DropFiles> object if you have
done C<use Win32::GUI::DropFiles;> somewhere in your code.

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GotFocus

B<GotFocus()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 KeyDown

B<KeyDown()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 KeyUp

B<KeyUp()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 LostFocus

B<LostFocus()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseDblClick

B<MouseDblClick()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseDown

B<MouseDown()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseMiddleDblClick

B<MouseMiddleDblClick()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseMiddleDown

B<MouseMiddleDown()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseMiddleUp

B<MouseMiddleUp()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseMove

B<MouseMove()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseOut

B<MouseOut()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseOver

B<MouseOver()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseRightDblClick

B<MouseRightDblClick()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseRightDown

B<MouseRightDown()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseRightUp

B<MouseRightUp()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 MouseUp

B<MouseUp()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 RightClick

B<RightClick()>

[TBD]

=for comment $Id: Events_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Timer

B<Timer()>

Sent when a Win32::GUI::Timer object reaches its ELAPSEd time.
For OEM the event is names $name_Timer.
For NEM the subroutine called is set with the parent window's
-onTimer option.  There are 2 arguments passed to the NEM event handler:

 the first is the parent window object, and the second is the timer's
 name.

=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.12 created 20 Jan 2016

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/GUI/Reference/Events.pod> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/p/perl-win32-gui/mailman/perl-win32-gui-users/>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2016 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


